package org.netbeans.lib.cvsclient.util;

/**
 * @author Thomas Singer
 */
public final class LoggerManager {

	// Fields =================================================================

	private static ILoggerFactory factory;

	// Accessing ==============================================================

	public static void setFactory(ILoggerFactory factory) {
		LoggerManager.factory = factory;
	}

	public static ILogger getLogger(String name) {
		return factory.getLogger(name);
	}
}
